#pragma once

#include "CivAttributes.h"
#include "CivGeometry.h"

/**
     Ҫ
*/
class CivFeature
{
public:
    typedef int FeatureId;

    CivFeature(const CivGeometry& geom );
    CivFeature() = default;
    ~CivFeature();
    /**
    * @brief Ҫصļ
    * @param [geo] 
    */
    void setGeometry(const CivGeometry& geo);
    
    // ؼ
    CivGeometry geometry() const;

    /**
     * @brief Լ
     * @param [attributes] Զ
     */
    void addAttributes(const CivAttributes& attributes);

    /**
    * @brief ƴַ
    * @param 
    */
    std::string params() const;

private:
    FeatureId mFeaId; // Ҫid
    CivGeometry mGeometry; // 
    CivAttributes mAttributes; // Լ
};
